Name:           libagg
Version:        2.4
%global         majorversion 2
%global         tag lhelper4
Release:        2%{?dist}
Summary:        Anti-Grain Geometry 

License:        BSD and Anti-Grain Geometry Public License
URL:            https://github.com/franko/agg
Source0:        %{url}/archive/v%{version}-%{tag}/%{name}-%{version}-%{tag}.tar.gz

BuildRequires:  gcc, gcc-c++
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(x11)
BuildRequires:  meson

%package devel
Summary:        Development package for %{name}
BuildArch:      noarch
Requires:       %{name} = %{version}

%description devel
Development package for %{name}.

%description
A high quality rendering engine for C++

%prep
%autosetup -n agg-%{version}-%{tag}

%build
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/conv_stroke
%{_bindir}/demo-freetype-lcd
%{_bindir}/gouraud
%{_bindir}/gouraud_mesh
%{_bindir}/lion
%{_bindir}/mol_view
%{_bindir}/pattern_fill
%{_bindir}/rasterizers
%{_bindir}/rasterizers2
%{_libdir}/%{name}.a
%{_libdir}/%{name}platform.a
%{_libdir}/%{name}freetype.a
%license copying

%files devel
%{_includedir}/agg%{majorversion}/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/pkgconfig/%{name}platform.pc

%changelog
* Sat May 08 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 2.4-2
- upgrade to lhelper4

* Sat May 08 2021 Jan Drögehoff <sentrycraft123@gmail.com> - 2.4-1
- Initial spec


